%
%    SHOW Presents two-dimensional piecewise affine function graphically.
%    SHOW(ELEMENTS3,ELEMENTS4,COORDINATES,U) presents a two-dimensional
%    spline function graphically. ELEMENTS3 denotes a set of triangles
%    with dimension (no. of triangles) x 3 and ELEMENTS4 denotes a set of 
%    parallelograms (dimension (no. of parallelograms) x 4. Both arrays 
%    include number of nodes. The nodes have to be counted clockwise.
%    or anti-clockwise. The coordinates of the nodes are stored in an
%    (no. of coordinates) x 2 - dimensional array called COORDINATES.  
%    Its i'th row defines the x- and y- coordinate of the i'th node. U is
%    a (no. of coordinates) x 1 - dimensional array containing in the
%    i'th row the value of the spline function at the i'th node.

function show(elements3,elements4,coordinates,u)

subplot(1,2,1)
trisurf(elements3,coordinates(:,1),coordinates(:,2),u','facecolor','interp')
hold on
trisurf(elements4,coordinates(:,1),coordinates(:,2),u','facecolor','interp')
hold off
view(-37.5,30);
title('Solution of the Problem')

subplot(1,2,2)
trisurf(elements3,coordinates(:,1),coordinates(:,2),u','facecolor','none')
hold on
trisurf(elements4,coordinates(:,1),coordinates(:,2),u','facecolor','none')
hold off
view(2)
set(gca,'DataAspectRatio',[1.0 0.9 1]);
axis off
title('Computational Mesh')

